1. Realtime Video API
BeatAPI
  • Quick Start
  • BeatAPI Realtime Video API
  • Music Video API
    • Create Video
      • Create Music Video
    • Advanced Editing
      • Edit Shot
      • Get Shot Media
      • Compose Video
  • Ecommerce Video API
    • Create Ecommerce Video
  • Reference
    • API Overview
      • List launch workflows
    • Task Status
      • Poll task status
    • Usage & Limits
      • Get account usage and concurrency
    • Upload Files
      • Upload a file for workflow inputs
    • Webhooks
      • List webhook endpoints
      • Create a webhook endpoint
      • Get a webhook endpoint
      • Update a webhook endpoint
      • Delete a webhook endpoint
  • Realtime Video API
    • Create a realtime browser session
      POST
    • Get a realtime session
      GET
    • Close a realtime session
      DELETE
  1. Realtime Video API

Close a realtime session

DELETE
/v1/realtime/sessions/{session_id}
Idempotently closes the session, clears temporary credentials, and releases account capacity.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

๐ŸŸข200
application/json
Realtime session closed
Bodyapplication/json

๐ŸŸ 404
๐ŸŸ 401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://api.beatapi.io/v1/realtime/sessions/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "data": {
        "id": "string",
        "object": "realtime.session",
        "status": "ready",
        "client_secret": "string",
        "expires_at": "2019-08-24T14:15:22.123Z",
        "max_duration_seconds": 15,
        "allowed_origins": [
            "http://example.com"
        ],
        "credits": {
            "reserved": 0,
            "settled": 0,
            "refunded": 0
        },
        "request_id": "string",
        "created_at": "2019-08-24T14:15:22.123Z",
        "connected_at": "2019-08-24T14:15:22.123Z",
        "closed_at": "2019-08-24T14:15:22.123Z"
    }
}
Modified atย 2026-07-31 15:09:00
Previous
Get a realtime session
Built with